package;

import flixel.FlxG;
import flixel.FlxSprite;
import flixel.FlxState;
import flixel.math.FlxPoint;
import flixel.tweens.FlxTween;
using flixel.util.FlxSpriteUtil;
import flixel.FlxObject;
import flixel.effects.particles.FlxEmitter;
import flixel.effects.particles.FlxParticle;

class HotDogParticle extends FlxParticle implements IFlxParticle
{

	private var num:Int;

	public function new(_color:Int)
	{
		super();

		//num = (Reg.rank+2) * (Reg.rank+2);
		

		//var dirtColor = _color;

		var lineStyle:LineStyle = { color: null, thickness: null };
		var drawStyle:DrawStyle = { smoothing: false };

		for (i in 0...10)
			{
				loadGraphic("assets/images/hotdog.png",false,10,16);
			}

		lifespan = .05;
		//FlxG.watch.add(this, "num");
		
		
	}	

	override public function update(elapsed:Float):Void
	{
		
		//num = (Reg.rank+2) * (Reg.rank+2);

		if (lifespan > 0)
			{
				scale.x = scale.y = 1 - age;
				alpha = .5 - age;
			}
			
		super.update(elapsed);

	}
}